TFTPAckPacket
Date: 2016-06-23

org.apache.commons.net.tftp

## Class TFTPAckPacket

- java.lang.Object
- - org.apache.commons.net.tftp.TFTPPacket
  - - org.apache.commons.net.tftp.TFTPAckPacket

-     public final class TFTPAckPacket
      extends TFTPPacket

  A final class derived from TFTPPacket definiing the TFTP Acknowledgement packet type.

  Details regarding the TFTP protocol and the format of TFTP packets can be found in RFC 783. But the point of these classes is to keep you from having to worry about the internals. Additionally, only very few people should have to care about any of the TFTPPacket classes or derived classes. Almost all users should only be concerned with the `TFTPClient` class `receiveFile()` and `sendFile()` methods.

  See Also:
    `TFTPPacket`, `TFTPPacketException`, `TFTP`

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.net.tftp.TFTPPacket

      `ACKNOWLEDGEMENT, DATA, ERROR, READ_REQUEST, SEGMENT_SIZE, WRITE_REQUEST`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TFTPAckPacket(java.net.InetAddress destination, int port, int blockNumber)` Creates an acknowledgment packet to be sent to a host at a given port acknowledging receipt of a block.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBlockNumber()` Returns the block number of the acknowledgement.
    `java.net.DatagramPacket` | `newDatagram()` Creates a UDP datagram containing all the TFTP acknowledgement packet data in the proper format.
    `void` | `setBlockNumber(int blockNumber)` Sets the block number of the acknowledgement.

    - ### Methods inherited from class org.apache.commons.net.tftp.TFTPPacket

      `getAddress, getPort, getType, newTFTPPacket, setAddress, setPort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TFTPAckPacket

          public TFTPAckPacket(java.net.InetAddress destination,
                       int port,
                       int blockNumber)

      Creates an acknowledgment packet to be sent to a host at a given port acknowledging receipt of a block.
      Parameters:
        `destination` - The host to which the packet is going to be sent.
        `port` - The port to which the packet is going to be sent.
        `blockNumber` - The block number being acknowledged.

  - ### Method Detail

    - #### newDatagram

          public java.net.DatagramPacket newDatagram()

      Creates a UDP datagram containing all the TFTP acknowledgement packet data in the proper format. This is a method exposed to the programmer in case he wants to implement his own TFTP client instead of using the `TFTPClient` class. Under normal circumstances, you should not have a need to call this method.
      Specified by:
        `newDatagram` in class `TFTPPacket`
      Returns:
        A UDP datagram containing the TFTP acknowledgement packet.

    - #### getBlockNumber

          public int getBlockNumber()

      Returns the block number of the acknowledgement.
      Returns:
        The block number of the acknowledgement.

    - #### setBlockNumber

          public void setBlockNumber(int blockNumber)

      Sets the block number of the acknowledgement.
      Parameters:
        `blockNumber` - the number to set